PREFIX	= /usr/local
CMD		= ClamdOmitScan.pl
MAN		= ClamdOmitScan.pl.1
HTML	= ClamdOmitScan.html

%.pl.1: %.pl
	pod2man $< $@

%.html: %.pl
	pod2html --infile $< --outfile $@
	rm pod2htmd.tmp pod2htmi.tmp

all: man

clean:
	rm -f $(MAN) $(HTML)

html: $(HTML)

man: $(MAN)

install: man $(PREFIX)/bin $(PREFIX)/share/man/man1
	install -m 0755 $(CMD) $(PREFIX)/bin/
	install -m 0644 $(MAN) $(PREFIX)/share/man/man1/

$(PREFIX)/bin:
	install -d $(PREFIX)/bin/

$(PREFIX)/share/man/man1:
	install -d $(PREFIX)/share/man/man1
